%global reltag _redhat_1
%global meadversion %{version}.Final_redhat_1
%global mavenversion %{version}.Final-redhat-1

%global mavengroup org.hibernate
%global artifact0 hibernate-validator
%global artifact1 hibernate-validator-parent

%global title Hibernate Validator

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 4.2.0.Final-redhat-1

Name:    hibernate4-validator
Version: 4.2.0
Release: 4.Final%{?reltag}.1%{?dist}
Epoch:   0
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: org.hibernate-hibernate-validator-parent-4.2.0.Final-redhat-1-sources.zip
Source101: org.hibernate-hibernate-validator-parent-4.2.0.Final-redhat-1-patches.zip
Source102: hibernate-validator-4.2.0.Final-redhat-1.jar
Source103: hibernate-validator-4.2.0.Final-redhat-1-sources.jar
Source104: hibernate-validator-4.2.0.Final-redhat-1-javadoc.jar
Source105: hibernate-validator-4.2.0.Final-redhat-1.pom
Source106: hibernate-validator-parent-4.2.0.Final-redhat-1.pom
%endif

License: Apache License, Version 2.0
URL:     http://validator.hibernate.org
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
Hibernate's Bean Validation (JSR-303) reference implementation.

%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if %without mead
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}
%else
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact1}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact1}.pom
%else
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%{__cp} -p %{_sourcedir}/%{artifact1}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact1}.pom
%endif
# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}
%add_to_maven_depmap %{mavengroup} %{artifact1} %{mavenversion} JPP %{artifact1}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%if %without mead
%{__unzip} -qq %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%else
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%endif
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%changelog
* Fri Mar 23 2012 Hui Wang <huwang@redhat.com> 0:4.2.0-4.Final_redhat_1.1
- New Wrapper
- Fix installation path
- Fix release tag

* Thu Jan 19 2012 David Walluck <dwalluck@redhat.com> 0:4.2.0-3
- remove range from joda-time version (for Brew maven 2.x)
- fix requires for maven scriptlets
- fix duplicate ownership of %%{_mavenpomdir}
- fix main and sources file list
- change default file permissions

* Fri Nov 11 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.2.0-2_redhat_1
- [JBPAPP-7509] Remove references to JBoss Repository in parent pom

* Mon Sep 12 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.2.0-1_redhat_1
- Upgrade to 4.2.0.Final
- Build for Werewolf

* Thu Sep 08 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.1.0-2_redhat_1
- Build for Werewolf
- Removed non-MEAD stuff from spec file
- Included regular javadoc and sources RPMs

* Mon Jun 27 2011 Strong Liu <stliu@redhat.com> - 0:4.1.0-1.1.Final
- BR maven-shade-plugin

* Wed Jun 22 2011 Strong Liu <stliu@redhat.com> = 0:4.1.0-1.0.Final
- Upgrade to 4.1.0.Final

* Sat Feb 12 2011 Strong Liu <stliu@redhat.com> = 0:3.4.0-3.5.GA_CP04
- Upgrade to 3.4.0.GA_CP04
- Remove upgrade-core.patch

* Sat Feb 12 2011 Strong Liu <stliu@redhat.com> -0:3.4.0-3.4.GA_CP03
- Update c-i.xml to include Hibernate Core 3.3.2.GA_CP04
- Add patch to workaround the bad encoding error

* Wed Jan 05 2011 Hui Wang <huwang@redhat.com> - 0:3.4.0-3.3.GA_CP03
- Fix repolib

* Wed Jan 05 2011 Hui Wang <huwang@redhat.com> - 0:3.4.0-3.2.GA_CP03
- Build with Maven 2.2.1
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin

* Sat Jul 24 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-3.1.GA_CP03
- Upgrade to 3.4.0.GA_CP03
- Remove BR jta_1_1_api
- Add BR jboss-transaction-1.0.1-api

* Thu Jun 03 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-3.0.GA_CP02
- Correct Release Number

* Tue May 25 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-1.4.GA_CP02
- Correct tag version in component-info.xml

* Fri May 21 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-1.3.GA_CP02
- Correct compatible file

* Fri May 21 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-1.2.GA_CP02
- Update source tarball of 3.4.0.GA_CP02

* Wed May 19 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.1.GA_CP02
- Add dist package

* Wed May 19 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.0.GA_CP02
- Upgrade to 3.4.0.GA_CP02

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:3.4.0-2.1.GA_CP01
- Rebuild

* Fri Jan 29 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-2.0.GA_CP01
- Add pom to repolib

* Fri Jan 22 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.9.GA_CP01
- Rebuild in brew

* Thu Jan 21 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.8.GA_CP01
- Remove java doc zip
- Update patch to remove javadoc offline section

* Wed Jan 20 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.7.GA_CP01
- Rebuild to use the new source tarball
* Sun Jan 17 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.6.GA_CP01
- Update release tag to rebuild in brew
* Sat Jan 16 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.5.GA_CP01
- Update release tag to include GA_CP01
* Thu Jan 14 2010 Strong Liu <stliu@redhat.com>  - 0:3.4.0-1.4
- Enable maven2-plugin-source plugin
- Clean the source tarball, remove svn metadata file

* Thu Jan 14 2010 Strong Liu <stliu@redhat.com>  - 0:3.4.0-1.3
- Upgrade Hibernate Annotations to 3.4.0.GA_CP01
- Rremove hibernate3-serializableToBlobType.java.patch
- Update hibernate-annotations-component-info.xml, this version of Annotation does not compatible with Core 3.3.2.GA, but 3.3.2.GA_CP01
- Update hibernate-annotations-pom.xml.patch

* Mon Jul 20 2009 Strong Liu <stliu@redhat.com>  - 0:3.4.0-1.2
- Change the source jars name to *-sources.jar
- Update copyrights to 2009
* Sun Jul 19 2009 Gail Badner <gbadner@redhat.com> - 0:3.4.0-1.1
- First release for RHEL-4-EP-5
